#![allow(clippy::module_name_repetitions)]
use std::process::ExitCode;

use clap::Parser;

mod config;
mod cli;

fn main() -> ExitCode {
    let opts = cli::Keyfork::parse();

    if let Err(e) = opts.command .handle(&opts) {
        println!("Unable to run command: {e}");
        let mut source = e.source();
        while let Some(new_error) = source.take() {
            eprintln!("Source: {new_error}");
            source = new_error.source();
        }
        return ExitCode::FAILURE;
    }

    ExitCode::SUCCESS
}
